KRAKEN2(1)

NAME
kraken2 - assigning taxonomic labels to short DNA sequences

SYNOPSIS
kraken2 [options] <filename(s)>

OPTIONS

--db NAME
    Name for Kraken 2 DB (default: none)

--threads NUM
    Number of threads (default: 1)

--quick
    Quick operation (use first hit or hits)

--unclassified-out FILENAME
    Print unclassified sequences to filename

--classified-out FILENAME
    Print classified sequences to filename

--output FILENAME
    Print output to filename (default: stdout); "-" will suppress normal output

--confidence FLOAT
    Confidence score threshold (default: 0.0); must be in [0, 1].

--minimum-base-quality NUM
    Minimum base quality used in classification (def: 0, only effective with FASTQ input).

--report FILENAME
    Print a report with aggregrate counts/clade to file

--use-mpa-style
    With --report, format report output like Kraken 1's kraken-mpa-report

--report-zero-counts
    With --report, report counts for ALL taxa, even if counts are zero

--memory-mapping
    Avoids loading database into RAM

--paired
    The filenames provided have paired-end reads

--use-names
    Print scientific names instead of just taxids

--gzip-compressed
    Input files are compressed with gzip

--bzip2-compressed
    Input files are compressed with bzip2

--help
    Print this message

--version
    Print version information

If none of the *-compressed flags are specified, and the filename provided is a regular file, automatic format detection is attempted.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.